Limerence
Spaces

Get Space

Get a specific space by ID

GET
/spaces/{id}

Get a specific space by ID

Authorization

X-API-Key<token>

Use X-API-Key: .

In: header

Path Parameters

id*string

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/spaces/string"
{  "createdAt": "string",  "dataSources": [    {      "dataSource": {        "connectionStatus": null,        "createdAt": "string",        "database": null,        "datasets": null,        "filePath": null,        "fileSize": null,        "host": null,        "id": "string",        "instanceName": null,        "lastError": null,        "lastTestedAt": null,        "name": "string",        "originalFileName": null,        "port": null,        "projectId": null,        "ssl": true,        "teamId": "string",        "trustServerCertificate": true,        "type": "SQLITE",        "updatedAt": "string",        "username": null      },      "createdAt": "string",      "dataSourceId": "string",      "grounding": "string",      "id": "string",      "spaceId": "string"    }  ],  "description": null,  "id": "string",  "modelId": null,  "name": "string",  "provider": null,  "providerId": null,  "shortcuts": [    {      "createdAt": "string",      "description": null,      "disableModelInvocation": true,      "id": "string",      "integrations": "string",      "name": "string",      "prefix": "string",      "prompt": "string",      "sortOrder": 0,      "spaceId": "string",      "updatedAt": "string",      "userInvokable": true,      "visibility": "string"    }  ],  "teamId": "string",  "transcriptionModelId": null,  "updatedAt": "string"}
{  "cause": {    "code": "api/invalid-json",    "detail": "string"  },  "message": "The request body is not valid JSON"}
{  "cause": {    "code": "auth/jwt-invalid",    "detail": "malformed"  },  "message": "Token verification failed"}
{  "cause": {    "code": "api/no-active-team",    "detail": "You must have an active team. Please select a team to continue."  },  "message": "No active team"}
{  "cause": {    "code": "spaces/not-found",    "detail": "string"  },  "message": "Space not found"}
{  "cause": {    "code": "api/unsupported-media-type",    "detail": "GET requests cannot have a content type header"  },  "message": "Unsupported Media Type"}